﻿@{
    ViewBag.Title = "MedicalStore";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Medical Store Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">

                    <div class="form-group">
                        <label for="inputName" class="col-sm-2 control-label">Enter Name</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputName" placeholder="Enter ...">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputAddress" class="col-sm-2 control-label">Address</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputAddress" placeholder="Enter ...">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputMedID" class="col-sm-2 control-label">Select Medicine ID</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputMedID">
                                <option>1</option>
                                <option>2</option>
                                <option>3</option>
                                <option>4</option>
                                <option>5</option>

                            </select>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddMedicalStoreData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>

<script>
    function AddMedicalStoreData() {
        debugger;
        var MSName = $('#inputName').val();
        var MSAddress = $('#inputAddress').val();
        var MSMedID = $('#InputMedID :selected').val();
       
        $.ajax({
            url: '@Url.Action("AddMedicalStore", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ MSName: MSName, MSAddress: MSAddress, MSMedID: MSMedID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>